#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8A,0x7A,0x2F,0x3E,0xE7,0x30,0x5C,0x6E,0x06,0x6A,0x96,0xD3,
		0x4D,0x35,0xB7,0x2E,0xF4,0x84,0x16,0xB5,0x0D,0xC6,0x30,0xE7,
		0x99,0x39,0xB5,0xF8,0x7D,0x05,0x5F,0xBA,0x38,0x02,0x9C,0xE8,
		0x3B,0xFD,0x90,0x89,0x48,0x86,0x7C,0xFC,0xCF,0x88,0x67,0xA2,
		0x58,0xE4,0xD9,0xF8,0xCF,0x68,0xFF,0x8F,0x32,0x32,0x68,0xD5,
		0x9C,0x02,0xC8,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
